=== kexec/arch/i386/Makefile ===
#
# kexec i386 (linux booting linux)
#
KEXEC_C_SRCS+= kexec/arch/i386/kexec-x86.c 
KEXEC_C_SRCS+= kexec/arch/i386/kexec-elf-x86.c 
KEXEC_C_SRCS+= kexec/arch/i386/kexec-elf-rel-x86.c
KEXEC_C_SRCS+= kexec/arch/i386/kexec-bzImage.c 
KEXEC_C_SRCS+= kexec/arch/i386/kexec-multiboot-x86.c
KEXEC_C_SRCS+= kexec/arch/i386/kexec-beoboot-x86.c
KEXEC_C_SRCS+= kexec/arch/i386/kexec-nbi.c
KEXEC_C_SRCS+= kexec/arch/i386/x86-linux-setup.c
KEXEC_C_SRCS+= kexec/arch/i386/crashdump-x86.c
