=== kexec/arch/ia64/Makefile ===
#
# kexec ia64 (linux booting linux)
#
KEXEC_C_SRCS+= kexec/arch/ia64/kexec-ia64.c 
KEXEC_C_SRCS+= kexec/arch/ia64/kexec-elf-ia64.c 
KEXEC_C_SRCS+= kexec/arch/ia64/kexec-elf-rel-ia64.c
