=== kexec/arch/x86_64/Makefile ===
#
# kexec x86_64 (linux booting linux)
#
KEXEC_C_SRCS+= kexec/arch/i386/kexec-elf-x86.c 
KEXEC_C_SRCS+= kexec/arch/i386/kexec-bzImage.c 
KEXEC_C_SRCS+= kexec/arch/i386/kexec-multiboot-x86.c
KEXEC_C_SRCS+= kexec/arch/i386/kexec-beoboot-x86.c
KEXEC_C_SRCS+= kexec/arch/i386/kexec-nbi.c
KEXEC_C_SRCS+= kexec/arch/i386/x86-linux-setup.c
KEXEC_C_SRCS+= kexec/arch/x86_64/crashdump-x86_64.c
KEXEC_C_SRCS+= kexec/arch/x86_64/kexec-x86_64.c 
KEXEC_C_SRCS+= kexec/arch/x86_64/kexec-elf-x86_64.c 
KEXEC_C_SRCS+= kexec/arch/x86_64/kexec-elf-rel-x86_64.c
