=== purgatory/arch/i386/Makefile ===
#
# Purgatory i386
#

PURGATORY_S_SRCS+= purgatory/arch/i386/entry32-16.S
PURGATORY_S_SRCS+= purgatory/arch/i386/entry32-16-debug.S
PURGATORY_S_SRCS+= purgatory/arch/i386/entry32.S
PURGATORY_S_SRCS+= purgatory/arch/i386/setup-x86.S
PURGATORY_S_SRCS+= purgatory/arch/i386/stack.S
PURGATORY_S_SRCS+= purgatory/arch/i386/compat_x86_64.S
PURGATORY_C_SRCS+= purgatory/arch/i386/purgatory-x86.c
PURGATORY_C_SRCS+= purgatory/arch/i386/console-x86.c
PURGATORY_C_SRCS+= purgatory/arch/i386/vga.c
PURGATORY_C_SRCS+= purgatory/arch/i386/pic.c
