=== purgatory/arch/ia64/Makefile ===
#
# Purgatory ia64
#

PURGATORY_S_SRCS+=
PURGATORY_C_SRCS+= purgatory/arch/ia64/purgatory-ia64.c
PURGATORY_C_SRCS+= purgatory/arch/ia64/console-ia64.c
PURGATORY_C_SRCS+=
