=== purgatory/arch/s390/Makefile ===
#
# Purgatory s390
#

s390_PURGATORY_SRCS =

dist += purgatory/arch/s390/Makefile $(s390_PURGATORY_SRCS)
