## kexec-tools 2.0.1-1ubuntu2-1drbl

=== debian/changelog ===
kexec-tools (1:2.0.1-1ubuntu2-1drbl) lucid; urgency=low

  * Ignore the grub config error, since on debootstrap or live cd, there is no grub available.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Feb 2010 22:40:00 +0800

kexec-tools (1:2.0.1-1ubuntu2) lucid; urgency=low

  * Don't call db_stop in the postinst; this is not what it's for, and it
    causes update-grub to break on Ubuntu by killing the frontend that child
    processes expect to talk to.  LP: #518853.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Feb 2010 23:04:30 -0800

kexec-tools (1:2.0.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian; replace arm-getpagesize-unistd and configure_syntax
    dpatches to use their Debian equivalents; remaining changes:
    - Run aclocal; build-dep on automake1.9.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call the update-initramfs trigger.  Also call
      update-grup after update-initramfs trigger.
    - Default to not kexecing a kernel on boot in the automatically generated
      conffile; also disable this on upgrades from older versions.
    - Fix architecture detection on ARM, cherry-picked from upstream.
  * Build-dep on automake instead of automake1.9.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 08 Feb 2010 10:53:24 +0100

kexec-tools (1:2.0.1-1) unstable; urgency=low

  * New upstream version
  * Honor dpkg-preconfigure, remove /etc/default/kexec from deb package and
    remove /etc/default/kexec on package purge (closes: Bug#551919)

 -- Khalid Aziz <khalid@debian.org>  Tue, 24 Nov 2009 08:55:05 -0700

kexec-tools (1:2.0.0-2) unstable; urgency=low

  * Fixed configure script failure (closes: Bug#543081)
  * Added debian/README.source

 -- Khalid Aziz <khalid@debian.org>  Thu, 10 Sep 2009 09:34:58 -0600

kexec-tools (1:2.0.0-1) unstable; urgency=low

  * New upstream version 
  * Added note about call to shutdown by kexec -e. Also added a README.debian
    to explain automatic enablement of kexec (closes: Bug#501847)
  * Added japanese translation (closes: Bug#512870)
  * Added swedish translation (closes: Bug#503604)

 -- Khalid Aziz <khalid@debian.org>  Wed, 15 Apr 2009 16:41:45 -0600

kexec-tools (1:2.0.1-0ubuntu4) lucid; urgency=low

  * New dpatch, arm-getpagesize-unistd, cherry pick from upstream "arm:
    Include unistd.h for getpagesize()"
    c986de289120d449bf4d94c46c676566ccfd4202 to fix build issue on armel
    breaking the binaries.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Feb 2010 22:16:39 +0100

kexec-tools (1:2.0.1-0ubuntu3) lucid; urgency=low

  * New dpatch, arm-fix-architecture-detection, cherry-pick second hunk of
    upstream commit "arm: fix architecture detection"
    5545216da4360d6494cc7ba574e04620a826a332.  Fixes support for arm* utsnames
    in particular armv7l.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Feb 2010 21:52:30 +0100

kexec-tools (1:2.0.1-0ubuntu2) lucid; urgency=low

  * Re-add automake1.9 build-dep since we still patch configure.ac and this
    triggers an autoreconf.  (Upstream doesn't use AM_MAINTAINER_MODE.)

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Feb 2010 21:25:19 +0100

kexec-tools (1:2.0.1-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Switch to non-native packaging and upstream tarball; drop automake1.9
      build-dep.  NB: This is the Debian tarball which has been repacked by
      the Debian maintainer, but the contents are identical to the upstream
      tarball.  Picking the Debian tarball should make it easier to resync
      with Debian if we stick with 2.0.1 for a while.
    - Drop arm_build dpatch, fixed differently upstream.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Feb 2010 20:39:48 +0100

kexec-tools (20090000-2.0.0ubuntu12) karmic; urgency=low

  * debian/patches/configure_syntax.dpatch: Put semicolons before 'fi', or
    else configure breaks.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 00:15:18 +0100

kexec-tools (20090000-2.0.0ubuntu11) karmic; urgency=low

  * Don't call db_stop in postinst as update-grub calls into debconf; thanks
    Colin Watson; LP: #400397.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 16 Jul 2009 23:05:51 +0200

kexec-tools (20090000-2.0.0ubuntu10) karmic; urgency=low

  * debian/kexec-tools.postinst:
    - run update-grub explicitely instead of using the trigger,
      grub2 does not have one (see debian #481542)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Jul 2009 10:42:03 +0200

kexec-tools (20090000-2.0.0ubuntu9) karmic; urgency=low

  * debian/kdump.init.d:
    - generate crash file from vmcore on first boot automatically

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 10:59:14 +0200

kexec-tools (20090000-2.0.0ubuntu8) karmic; urgency=low

  * debian/kdump.initramfs:
    - use ELF format for the vmcore file. "crash" did not produce
      a backtrace with the kdump-compressed format

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jun 2009 17:23:45 +0200

kexec-tools (20090000-2.0.0ubuntu7) karmic; urgency=low

  * debian/kdump.initramfs:
    - dump the kernel crash info to /var/crash/vmcore-$KVER

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jun 2009 15:42:24 +0200

kexec-tools (20090000-2.0.0ubuntu6) karmic; urgency=low

  * debian/kexec-tools.template
    - set "kexec-tools/load_kexec" to "false" by default
  * debian/kexec-tools.postinst: 
    - trigger update-grub and update-initramfstools to ensure
      the kdump functionality is availabe on next reboot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jun 2009 14:40:18 +0200

kexec-tools (20090000-2.0.0ubuntu5) karmic; urgency=low

  * debian policy forbids dpkg conffile handling and maintainer script
    configuration in the same package as this leads to inconsistant behaviour
    between apt-get install and dpkg -i installs of the same package.  Switch
    wholy to the maintainer script.  LP: #368745

