## kexec-tools 2.0.1-2ubuntu1-1drbl

=== debian/changelog ===
kexec-tools (1:2.0.1-2ubuntu1-1drbl) maverick; urgency=low

  * Comment the line "set -e" in the postrun to avoid live-helper failure.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 22 Jul 2010 10:21:45 +0800

kexec-tools (1:2.0.1-2ubuntu1) maverick; urgency=low

  * Drop debian/commit-templates/patch, unused.
  * Drop upgrade snippet for versions older than the lucid one.
  * Merge with Debian.
    - Drop dpatch arm-fix-architecture-detection, included in Debian as
      arm_arch dpatch.
    - Remaining changes:
      + Run aclocal during build; build-dep on automake1.9.
      + Add and install kdump init script and initramfs snippet; depend on
        initramfs-tools and call the update-initramfs trigger.  Also call
        update-grub after update-initramfs trigger.
      + Default to not kexecing a kernel on boot in the automatically
        generated conffile.
      + Add arm-higher-initrd-load-addr dpatch to bump initrd load offset from
        0x800000 to 0x8000000 since our kernels are so big that they overwrite
        the initrd when they uncompress; fixes kexec initrd support on all ARM
        Ubuntu kernels; LP #568283.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 22 May 2010 22:13:09 +0200

kexec-tools (1:2.0.1-2) unstable; urgency=low

  * Fixed kernel load failure on "armv5tel" architecture (closes: Bug#564648)
  * Added a script, codreboot, to force a cold reboot (closes: Bug#519950)
  * Added dependency dependency upon local filesystem to ensure filesystem
    containing kexec image is not unmounted before kexec-load runs 
    (closes: Bug#578126)

 -- Khalid Aziz <khalid@debian.org>  Thu, 22 Apr 2010 16:03:31 -0600

kexec-tools (1:2.0.1-1ubuntu3) lucid; urgency=low

  * New dpatch, arm-higher-initrd-load-addr, bump initrd load offset from
    0x800000 to 0x8000000 since our kernels are so big that they overwrite the
    initrd when they uncompress; fixes kexec initrd support on all ARM Ubuntu
    kernels; LP: #568283.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 22 Apr 2010 14:06:08 +0200

kexecc-tools (1:2.0.1-1) unstable; urgency=low

  * New upstream version
  * Honor dpkg-preconfigure, remove /etc/default/kexec from deb package and
    remove /etc/default/kexec on package purge (closes: Bug#551919)

 -- Khalid Aziz <khalid@debian.org>  Tue, 24 Nov 2009 08:55:05 -0700
