=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dpatch, autoconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf, automake
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: kexec-tools
 Architecture: i386 amd64 ppc64 powerpc ia64 s390 arm armel
