=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
Priority: optional
Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), autoconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf
Standards-Version: 3.9.2

Package: kexec-tools
Architecture: i386 amd64 ppc64 powerpc ia64 s390 arm armel armhf sh4
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: tools to support fast kexec reboots
 This package provides tools to load a kernel into memory and then
 "reboot" directly into that kernel using the kexec system call,
 bypassing the normal boot process.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: i386 amd64 ppc64 powerpc ia64 s390 arm armel armhf sh4
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to support fast kexec reboots (udeb)
