=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpatch/dpatch.make
 
 
 CFLAGS = -Wall -g
@@ -20,11 +19,10 @@
 	CFLAGS += -O2
 endif
 
-configure: patch configure-stamp
+configure: configure-stamp
 configure-stamp: 
 	dh_testdir
 	# Add here commands to configure the package.
-	aclocal -I config
 	autoheader
 	autoconf
 	./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
@@ -32,7 +30,9 @@
 	touch configure-stamp
 
 
-build: patch build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -42,9 +42,9 @@
 
 	touch build-stamp
 
-clean: tidy unpatch
+clean: tidy 
 
-tidy: patch configure-stamp 
+tidy: configure-stamp 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp 
@@ -64,12 +64,11 @@
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
-	install -D -m755 debian/kdump.initramfs \
-		debian/kexec-tools/usr/share/initramfs-tools/scripts/init-bottom/0_kdump
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
 endif
 
+	install -D -m 0755 debian/kexec-tools/sbin/kexec debian/kexec-tools-udeb/sbin/kexec
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -84,7 +83,6 @@
 	dh_installdebconf
 	dh_installinit --no-start -r --name=kexec -- start 85 6 .
 	dh_installinit --no-start -r --name=kexec-load -- stop 18 6 .
-	dh_installinit --no-start -r --name=kdump -- start 00 2 .
 	dh_installexamples
 	dh_lintian
 	dh_install
