=== debian/watch ===
version=3
http://kernel.org/pub/linux/utils/kernel/kexec/kexec-tools-(.*)\.tar\.gz
